| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingVariantMap Class Reference
Utililty classes

The PendingVariantMap class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a variant map. More...

`#include <TelepathyQt/PendingVariantMap>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingVariantMap (QDBusPendingCall call, const SharedPtr< RefCounted > &object)
- ~PendingVariantMap ()
- QVariantMap result () const

## Detailed Description

The PendingVariantMap class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a variant map.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingVariantMap::PendingVariantMap | ( | QDBusPendingCall | call,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingVariantMap::~PendingVariantMap | ( |  | ) |

Class destructor.

## Member Function Documentation

QVariantMap Tp::PendingVariantMap::result | ( |  | ) | const